## GdaTreeMgrLabel

GdaTreeMgrLabel — A tree manager which creates a single node

## Stability Level

Stable, unless otherwise indicated

## Functions

GdaTreeManager * | gda_tree_mgr_label_new ()

## Properties

gchar * | label | Write / Construct Only

## Types and Values

struct | GdaTreeMgrLabel

## Object Hierarchy

        GObject
        ╰── GdaTreeManager
            ╰── GdaTreeMgrLabel

## Includes

    #include <libgda/gda-statement-extra.h>

## Description

The GdaTreeMgrLabel is a GdaTreeManager object which creates a single node. This tree manager is useful to create "sections" in a GdaTree hierarchy.

## Functions

### gda_tree_mgr_label_new ()

    GdaTreeManager *
    gda_tree_mgr_label_new (const gchar *label);

Creates a new GdaTreeManager object which will add one tree node labelled `label`

#### Parameters

label | a label string |

#### Returns

a new GdaTreeManager object.

[transfer full]

Since: 4.2

## Types and Values

### struct GdaTreeMgrLabel

    struct GdaTreeMgrLabel;

## Property Details

### The `“label”` property

      “label”                    gchar *

Label for the node.

Flags: Write / Construct Only

Default value: NULL